Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 05-11-2016, 12:37 AM   #1
roger64
Wizard
roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.
 
Posts: 2,251
Karma: 2334301
Join Date: Jan 2009
Device: Kindle PW3 (wifi)
Can't install plugins in Arch Linux's community sigil package

I wanted to try the DOCXImport plugin but Sigil tells me that it's not a valid plugin.

As I use the 0.9.5. version from ArchLinux, I guess it's probably a dependency problem about tk. I failed though to install the - probably - missing part because I did not find something related to it within the Arch packages.

Last edited by DiapDealer; 05-15-2016 at 08:23 AM.
roger64 is offline   Reply With Quote
Advert
Old 05-11-2016, 01:53 AM   #2
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,171
Karma: 93500000
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by roger64 View Post
I wanted to try the DOCXImport plugin but Sigil tells me that it's not a valid plugin.

As I use the 0.9.5. version from ArchLinux, I guess it's probably a dependency problem about tk. I failed though to install the - probably - missing part because I did not find something related to it within the Arch packages.
If you use any of my other Sigil plugins, you probably already have tk installed. But even if you don't have tk installed, Sigil wouldn't generate that particular error message. That error message indicates that something is wrong with the plugin's zip file. Make sure that you've not renamed the zip file before trying to install it, and/or redownload it to make sure the zip file wasn't corrupted somehow.

Last edited by DiapDealer; 05-15-2016 at 08:23 AM.
DiapDealer is offline   Reply With Quote
Old 05-11-2016, 02:31 AM   #3
Doitsu
Wizard
Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.
 
Doitsu's Avatar
 
Posts: 4,158
Karma: 12961470
Join Date: Dec 2010
Device: Kindle PW2
Quote:
Originally Posted by roger64 View Post
I wanted to try it but Sigil tells me that it's not a valid plugin.
Do you have both Python 3 and Python 2 installed? If so try deleting one of the the Python paths in the Manage Plugins dialog box.

Quote:
Originally Posted by roger64 View Post
As I use the 0.9.5. version from ArchLinux, I guess it's probably a dependency problem about tk. I failed though to install the - probably - missing part because I did not find something related to it within the Arch packages.
The plugin works fine on my Arch Linux machine.

Enter the following in a terminal to check the installation status of tk and tcl:

Code:
yaourt -S tcl
yaourt -S tk
If both packages are already installed, one or more of the Python interpreter paths are wrong or missing or you renamed or unpacked the plugin zip file.
Doitsu is offline   Reply With Quote
Old 05-11-2016, 10:30 AM   #4
roger64
Wizard
roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.
 
Posts: 2,251
Karma: 2334301
Join Date: Jan 2009
Device: Kindle PW3 (wifi)
Thanks for your help but to no avail.

I already use some other Sigil plugins so my Python3 seems to be working elsewhere. I suppressed the path to Python 2.7 and only kept the one for Python3. Is there another plugin that makes use of Python3 so that I can confirm this?

yaourt tells me tcl and tk are already installed.

I left the plugin untouched in its zip container. I donwloaded it again to be sure.
roger64 is offline   Reply With Quote
Old 05-11-2016, 10:35 AM   #5
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 2,935
Karma: 1922532
Join Date: Nov 2009
Device: many
You could try running testplugin_v012.zip after opening a new empty ebook. It is Python3 only. Does it pass all tests?
KevinH is offline   Reply With Quote
Advert
Old 05-11-2016, 11:03 AM   #6
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,171
Karma: 93500000
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
@roger64: do you get the "Not a valid Sigil plugin" message when trying to install the plugin? Or has it already been (seemingly) successfully installed?

Also ... are you by any chance using KDE as your desktop environment? I only ask because there's been some sort of problem with the Debian/Ubuntu repo version of Sigil and the plugin database/menus on KDE environments. It doesn't seem to happen with other Desktop environments (and it even works with KDE when Sigil is built from scratch).

From what I can see, there appears to be two Arch Sigil packages: the sigil package in the community repo, and the sigil-git package in the user repo (aur) that I believe is maintained by eschwartz. Both indicate v0.9.5. Do you know which one you've installed?

Last edited by DiapDealer; 05-11-2016 at 11:06 AM.
DiapDealer is offline   Reply With Quote
Old 05-11-2016, 02:07 PM   #7
eschwartz
Ex-Helpdesk Junkie
eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.
 
eschwartz's Avatar
 
Posts: 19,238
Karma: 83049305
Join Date: Nov 2012
Location: The Beaten Path, USA, Roundworld, This Side of Infinity
Device: Kindle Touch fw5.3.7 (Wifi only)
FWIW, the plugin works fine for me. I am using the Cinnamon desktop.
I am running sigil-git 0.9.5.r32.g81277c2-2 with all the optional dependencies installed.
eschwartz is offline   Reply With Quote
Old 05-11-2016, 03:50 PM   #8
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,171
Karma: 93500000
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by eschwartz View Post
FWIW, the plugin works fine for me. I am using the Cinnamon desktop.
I am running sigil-git 0.9.5.r32.g81277c2-2 with all the optional dependencies installed.
Good to know. Thanks!
Do you know anything about the other 0.9.5 sigil package in the community repo? I'm wondering if it's based off of the debian-testing version like the ubuntu Sigil package is.
DiapDealer is offline   Reply With Quote
Old 05-11-2016, 04:18 PM   #9
eschwartz
Ex-Helpdesk Junkie
eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.eschwartz ought to be getting tired of karma fortunes by now.
 
eschwartz's Avatar
 
Posts: 19,238
Karma: 83049305
Join Date: Nov 2012
Location: The Beaten Path, USA, Roundworld, This Side of Infinity
Device: Kindle Touch fw5.3.7 (Wifi only)
Arch Linux uses its own build system, and my package is pretty much identical except for using the latest git HEAD instead of a tagged tarball and actually listing the relevant optional dependencies.

So unless it is some sort of DE issue (which has happened before, cf. mysterious instant segfaults under KDE) then it would almost have to be an issue with the actual plugin file roger64 attempted to add.
If he doesn't reply first, I might go ahead and install KDE to test it...
eschwartz is offline   Reply With Quote
Old 05-12-2016, 01:48 AM   #10
roger64
Wizard
roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.
 
Posts: 2,251
Karma: 2334301
Join Date: Jan 2009
Device: Kindle PW3 (wifi)
I also use Cinnamon and got Sigil from the "official" repo in the daily (well, hourly) updates. The plugin was declared "not valid" from the first try.
roger64 is offline   Reply With Quote
Old 05-12-2016, 07:45 AM   #11
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,171
Karma: 93500000
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Well I must admit that I'm completely baffled. Forgive me for asking again; but you're absolutely certain that the name of the file you're trying to install is exactly DOCXImport_v0.1.0.zip and not anything else?

How about this: can you attach the zip file that won't work for you to your next post so I can inspect it?

And please try to post the exact error messages you're receiving. I'm still not entirely certain if you're experiencing a plugin install error, or a plugin run error (post-installation).

Last edited by DiapDealer; 05-12-2016 at 07:50 AM.
DiapDealer is offline   Reply With Quote
Old 05-12-2016, 11:32 AM   #12
roger64
Wizard
roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.
 
Posts: 2,251
Karma: 2334301
Join Date: Jan 2009
Device: Kindle PW3 (wifi)
Well. I give it back.

Sorry to be unable to give more information. As soon as I ask to install the plugin, I get the "not valid" reply quite instantly.
Attached Files
File Type: zip DOCXImport_v0.1.0.zip (57.9 KB, 72 views)
roger64 is offline   Reply With Quote
Old 05-12-2016, 12:10 PM   #13
Doitsu
Wizard
Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.
 
Doitsu's Avatar
 
Posts: 4,158
Karma: 12961470
Join Date: Dec 2010
Device: Kindle PW2
@DiapDealer: This issue might be related to the default archiver that is installed. I was able to reproduce roger64's issue by uninstalling my default archive manager (gnome file-roller 3.20.2-1) and installing Engrampa 1.12.0 (engrampa-thunar).
After I uninstalled file-roller Sigil refused to add the plugin. I.e. this is most likely an unzip library issue, because when I opened the plugin archive file engrampa showed a phantom zero size home folder.


@roger64:
Install file-roller 3.20.2-1 via yaourt -S file-roller from the extra repository and uninstall engrampa, if it's installed. This should fix your problem.
Attached Thumbnails
Click image for larger version

Name:	engrampa.png
Views:	138
Size:	37.9 KB
ID:	148607   Click image for larger version

Name:	gnome.png
Views:	137
Size:	21.4 KB
ID:	148608  
Doitsu is offline   Reply With Quote
Old 05-12-2016, 12:29 PM   #14
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,171
Karma: 93500000
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Yes, Thanks. That could be it. But it would almost have to be some recent install/uninstall, I would think, since Roger indicated that he has other Sigil plugins installed. Hopefully something there will get him going.

Sigil's C++ (minizip) is responsible for dealing with a plugin (or epub's) zipping/unzipping (which in turn may utilize system libs on Linux). Perhaps there's some way I should be zipping my plugins to make them more widely compatible with other systems. I don't think I've ever used anything other than the standard zip algo with standard compression. They're created on a Linux machine, though. I'll have to look into it a bit.

Last edited by DiapDealer; 05-15-2016 at 08:26 AM.
DiapDealer is offline   Reply With Quote
Old 05-12-2016, 12:40 PM   #15
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 2,935
Karma: 1922532
Join Date: Nov 2009
Device: many
I am confused? What does Linux builds of Sigil use to replace minizip? Is it a perhaps a newer version of minizip or do they actually patch Sigil in some way to use a different unzipping tool?

The posted zip passes all unzip -t tests on Mac OS X.

So strange ...
KevinH is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Arch Linux on Paperwhite2 HisDudeness Kindle Developer's Corner 24 10-13-2014 01:23 PM
mobiperl package in the Arch Linux AUR Synthead Amazon Kindle 3 07-05-2013 09:14 AM
Can't add plugins (Calibre 8.1 on Arch Linux) byrnerat101 Plugins 17 02-21-2012 06:06 AM
sigil Arch Linux wetterau Sigil 5 12-02-2010 12:59 PM
Installing Calibre in Arch Linux jatz Calibre 0 03-23-2010 01:41 PM


All times are GMT -4. The time now is 12:36 AM.


MobileRead.com is a privately owned, operated and funded community.